﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IRaCIS.Core.Application.Service.Reading.Dto
{
    public class ClinicalDataAddOrEdit : ClinicalData
    {
        public new Guid? Id { get; set; }

    }


    public class ClinicalDataView : ClinicalData
    {
        
    }

    public class ClinicalDataQuery
    {
        /// <summary>
		/// 项目ID
		/// </summary>
		public Guid? TrialId { get; set; }

     

        /// <summary>
        /// 页码
        /// </summary>
        public int PageIndex { get; set; } = 1;

        /// <summary>
        /// 每页大小
        /// </summary>
        public int PageSize { get; set; } = 10;


        /// <summary>
        /// 排序字段
        /// </summary>
        public string? SortField { get; set; }

        /// <summary>
        /// 排序字段
        /// </summary>
        public bool SortAsc { get; set; } = true;
    }
}
